using CarCenterAdministratorApp;
using CarCenterBusinessLogic.BusinessLogics;
using CarCenterContracts.BusinessLogicsContracts;
using CarCenterContracts.StoragesContracts;
using CarCenterDataBaseImplement.Implements;
using CarCenterDataBaseImplement.Models;

var builder = WebApplication.CreateBuilder(args);


builder.Services.AddTransient<IAdministratorStorage, AdministratorStorage>();
builder.Services.AddTransient<IAdministratorLogic, AdministratorLogic>();

builder.Services.AddTransient<ICarStorage, CarStorage>();
builder.Services.AddTransient<ICarLogic, CarLogic>();

builder.Services.AddTransient<IEquipmentStorage, EquipmentStorage>();
builder.Services.AddTransient<IEquipmentLogic, EquipmentLogic>();


builder.Services.AddTransient<IInspectionStorage, InspectionStorage>();
builder.Services.AddTransient<IInspectionLogic, InspectionLogic>();

// Add services to the container.
builder.Services.AddControllersWithViews();



var app = builder.Build();

APIClient.Connect(builder.Configuration);

// Configure the HTTP request pipeline.
/*if (!app.Environment.IsDevelopment())
{*/
    app.UseExceptionHandler("/Home/Error");
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
/*}*/

app.UseHttpsRedirection();
app.UseStaticFiles();

app.UseRouting();

app.UseAuthorization();

app.MapControllerRoute(
    name: "default",
    pattern: "{controller=Home}/{action=Index}/{id?}");

app.Run();

